Qyra
ReferenceProjects

Upsert scheduled delivery as code

Upsert a scheduled delivery from code representation

POST/api/v1/projects/{projectUuid}/code/scheduledDeliveries/{slug}

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes
slugstringYes

Query parameters

NameTypeRequiredDescription
forcebooleanNo

Request body

{
  "options": {
    "xlsxFileLayout": "zip",
    "exportPivotedData": true,
    "asAttachment": true,
    "limit": 0,
    "formatted": true
  },
  "format": "csv",
  "downloadedAt": "2024-01-01T00:00:00.000Z",
  "targets": [
    {
      "recipient": "string",
      "type": "email"
    }
  ],
  "plainTextEmail": true,
  "includeLinks": true,
  "enabled": true,
  "timezone": "string",
  "cron": "string",
  "message": "string",
  "name": "string",
  "slug": "string",
  "version": 0,
  "contentType": "scheduled_delivery",
  "selectedTabs": null,
  "customViewportWidth": null,
  "parameters": {
    "property": "string"
  },
  "filters": {
    "tableCalculations": {
      "or": [
        {}
      ],
      "id": "string"
    },
    "metrics": {
      "or": [
        {}
      ],
      "id": "string"
    },
    "dimensions": {
      "or": [
        {}
      ],
      "id": "string"
    }
  },
  "resource": {
    "slug": "string",
    "type": "chart"
  }
}

Responses

200 — Success

{
  "results": {
    "action": "create"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}